Ofcas.Lk.Api.Client - Version 3.0 3.0.0.112

Public Member Functions | List of all members
Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectFactory Interface Reference

A factory to create a new structure of ICoreObject based on the stated ICoreInfo. More...

## Public Member Functions
ProjectCenter | GetProjectCenter (ProjectCenterInfo projectCenterInfo, ProjectDirectoryInfo projectDirectoryInfo)
| Gets an ProjectCenter based on the stated ProjectCenterInfo and the stated ProjectDirectoryInfo. More...
Project | GetProject (ProjectInfo projectInfo)
| Gets an Project based on the stated ProjectInfo. More...
Phase | GetPhase (PhaseInfo phaseInfo)
| Gets an Phase based on the stated PhaseInfo. More...
Elevation | GetElevation (ElevationInfo elevationInfo)
| Gets an Elevation based on the stated ElevationInfo. More...
ElevationInstance | GetElevationInstance (ElevationInstanceInfo elevationInstanceInfo)
| Gets an ElevationInstance based on the stated ElevationInstanceInfo. More...

## Detailed Description

A factory to create a new structure of ICoreObject based on the stated ICoreInfo.

## Member Function Documentation

## ◆ GetElevation()

Elevation Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectFactory.GetElevation | ( | ElevationInfo | elevationInfo | ) |

Gets an Elevation based on the stated ElevationInfo.

Parameters

  elevationInfo | The ElevationInfo to the Elevation to be retrieved.

Returns
  Returns the Elevation based on the stated ElevationInfo.

## ◆ GetElevationInstance()

ElevationInstance Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectFactory.GetElevationInstance | ( | ElevationInstanceInfo | elevationInstanceInfo | ) |

Gets an ElevationInstance based on the stated ElevationInstanceInfo.

Parameters

  elevationInstanceInfo | The ElevationInstanceInfo to the ElevationInstance to be retrieved.

Returns
  Returns the ElevationInstance based on the stated ElevationInstanceInfo.

## ◆ GetPhase()

Phase Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectFactory.GetPhase | ( | PhaseInfo | phaseInfo | ) |

Gets an Phase based on the stated PhaseInfo.

Parameters

  phaseInfo | The PhaseInfo to the Phase to be retrieved.

Returns
  Returns the Phase based on the stated PhaseInfo.

## ◆ GetProject()

Project Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectFactory.GetProject | ( | ProjectInfo | projectInfo | ) |

Gets an Project based on the stated ProjectInfo.

Parameters

  projectInfo | The ProjectInfo to the Project to be retrieved.

Returns
  Returns the Project based on the stated ProjectInfo.

## ◆ GetProjectCenter()

ProjectCenter Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectFactory.GetProjectCenter | ( | ProjectCenterInfo | projectCenterInfo,
|  | ProjectDirectoryInfo | projectDirectoryInfo
| ) |  |

Gets an ProjectCenter based on the stated ProjectCenterInfo and the stated ProjectDirectoryInfo.

Parameters

  projectCenterInfo | The ProjectCenterInfo to the ProjectCenter to be retrieved.
  projectDirectoryInfo | The ProjectDirectoryInfo to the ProjectCenter to be retrieved.

Returns
  Returns the ProjectCenter based on the stated ProjectCenterInfo and the stated ProjectDirectoryInfo.

The documentation for this interface was generated from the following file:

- ICoreObjectFactory.cs